
Installer - Bug #32453

Handle Ubuntu 20.04 tftp directory move

04/29/2021 09:51 AM - Ewoud Kohl van Wijngaarden

Status: New   

Priority: Normal   

Assignee:    

Category: foreman-installer script   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

In Ubuntu 20.04 the tftp directory was changed from /var/lib/tftpboot to /srv/tftp (matching Debian's default again). There is no

automated way to migrate the files and the installer can do this.

Related issues:

Related to Packaging - Tracker #31047: Support Ubuntu 20.04 Closed

History

#1 - 04/29/2021 09:52 AM - Ewoud Kohl van Wijngaarden

- Related to Tracker #31047: Support Ubuntu 20.04 added

#2 - 07/04/2021 08:38 AM - Pim Janssen

For now i added:

sed -i 's/\/srv\/tftp/\/var\/lib\/tftpboot/g' /etc/default/tftpd-hpa

systemctl restart tftpd-hpa.service

to my install script
